searchNodes=[{"doc":"Elixir wrapper around :ordsets erlang module. Acts like a normal MapSet but adds in sorted order. What this library does is forward the methods to the :ordsets module but adds some Elixir flavour. Like having the first argument be the set instead of the last, have different function names to look like MapSet OrdSet is just a list, so guards like in/2 , ==/2 just work ™ . iex&gt; 4 in OrdSet . new ( [ 1 , 2 ] ) false iex&gt; 1 in OrdSet . new ( [ 1 , 2 ] ) true iex&gt; OrdSet . new ( [ 1 , 2 , 1 , 2 ] ) == OrdSet . new ( [ 1 , 2 ] ) true iex&gt; OrdSet . new ( [ 1 , 2 , 1 , 2 ] ) == OrdSet . new ( [ 3 ] ) false iex&gt; [ 1 , 2 , 1 , 2 , 1 , 1 ] |&gt; OrdSet . new ( ) |&gt; length ( ) 2 Also Enum functions just work ™ . iex&gt; [ 2 , 5 , 4 , 5 , 2 , 1 ] |&gt; OrdSet . new ( ) |&gt; Enum . sort ( ) OrdSet . new ( [ 1 , 2 , 4 , 5 ] ) &amp;#x21A9; You should ofcourse test this yourself","ref":"OrdSet.html","title":"OrdSet","type":"module"},{"doc":"Deletes the item from the set iex&gt; [ 1 , 2 , 4 , 3 ] |&gt; OrdSet . new ( ) |&gt; OrdSet . delete ( 2 ) OrdSet . new ( [ 1 , 4 , 3 ] )","ref":"OrdSet.html#delete/2","title":"OrdSet.delete/2","type":"function"},{"doc":"Returns a set that is set_a without the members of set_b iex&gt; OrdSet . difference ( OrdSet . new ( 1 .. 4 ) , OrdSet . new ( 3 .. 6 ) ) [ 1 , 2 ]","ref":"OrdSet.html#difference/2","title":"OrdSet.difference/2","type":"function"},{"doc":"Checks if set_a's members are all contained in set_b. iex&gt; OrdSet . disjoint? ( OrdSet . new ( [ 1 , 2 , 3 ] ) , OrdSet . new ( [ 4 , 5 , 6 ] ) ) true iex&gt; OrdSet . disjoint? ( OrdSet . new ( [ 4 , 5 , 6 ] ) , OrdSet . new ( [ 2 , 3 , 4 ] ) ) false","ref":"OrdSet.html#disjoint?/2","title":"OrdSet.disjoint?/2","type":"function"},{"doc":"iex&gt; OrdSet.equal?(OrdSet.new(1..3), OrdSet.new(1..3)) true iex&gt; OrdSet.equal?(OrdSet.new(1..4), OrdSet.new(1..3)) false iex&gt; OrdSet.equal?(OrdSet.new([1,2,3]), OrdSet.new([3,2,1])) true","ref":"OrdSet.html#equal?/2","title":"OrdSet.equal?/2","type":"function"},{"doc":"Filters the set by returning only the elements from set for which invoking fun returns a truthy value. iex&gt; MapSet . filter ( MapSet . new ( 1 .. 5 ) , fn x -&gt; x &gt; 3 end ) MapSet . new ( [ 4 , 5 ] )","ref":"OrdSet.html#filter/2","title":"OrdSet.filter/2","type":"function"},{"doc":"Returns a set containing only members that set_a and set_b have in common. iex&gt; OrdSet . intersection ( OrdSet . new ( 1 .. 4 ) , OrdSet . new ( 3 .. 6 ) ) [ 3 , 4 ]","ref":"OrdSet.html#intersection/2","title":"OrdSet.intersection/2","type":"function"},{"doc":"iex&gt; init = fn ...&gt; set when OrdSet . is_empty ( set ) -&gt; OrdSet . new ( [ 1 ] ) ...&gt; set -&gt; set ...&gt; end iex&gt; OrdSet . new ( ) |&gt; init . ( ) OrdSet . new ( [ 1 ] ) iex&gt; [ 3 , 6 ] |&gt; OrdSet . new ( ) |&gt; init . ( ) OrdSet . new ( [ 3 , 6 ] )","ref":"OrdSet.html#is_empty/1","title":"OrdSet.is_empty/1","type":"macro"},{"doc":"Get the largest element in the set iex&gt; 0 .. 5 |&gt; OrdSet . new ( ) |&gt; OrdSet . max ( ) 5","ref":"OrdSet.html#max/1","title":"OrdSet.max/1","type":"function"},{"doc":"iex&gt; 2 in OrdSet.new(1..3) true iex&gt; 1..3 |&gt; OrdSet.new() |&gt; OrdSet.member?(2) true iex&gt; 1..3 |&gt; OrdSet.new() |&gt; OrdSet.member?(8) false","ref":"OrdSet.html#member?/2","title":"OrdSet.member?/2","type":"function"},{"doc":"Get the smallest element in the set iex&gt; 0 .. 5 |&gt; OrdSet . new ( ) |&gt; OrdSet . min ( ) 0","ref":"OrdSet.html#min/1","title":"OrdSet.min/1","type":"function"},{"doc":"Creates a empty OrdSet","ref":"OrdSet.html#new/0","title":"OrdSet.new/0","type":"function"},{"doc":"Creates a new OrdSet from Enumerable.t() iex&gt; OrdSet . new ( 0 .. 5 ) OrdSet . new ( [ 0 , 1 , 2 , 3 , 4 , 5 ] ) iex&gt; OrdSet . new ( 5 .. 0 // - 1 ) OrdSet . new ( [ 0 , 1 , 2 , 3 , 4 , 5 ] )","ref":"OrdSet.html#new/1","title":"OrdSet.new/1","type":"function"},{"doc":"Creates a new OrdSet from Enumerable.t() with given function iex&gt; OrdSet . new ( [ 0 , 1 , 2 , 3 , 4 , 5 ] , &amp; rem ( &amp;1 , 3 ) ) OrdSet . new ( [ 0 , 1 , 2 ] )","ref":"OrdSet.html#new/2","title":"OrdSet.new/2","type":"function"},{"doc":"Puts the item to the end of the set iex&gt; [ 1 , 2 , 3 , 4 ] |&gt; OrdSet . new ( ) |&gt; OrdSet . put ( 5 ) OrdSet . new ( [ 1 , 2 , 3 , 4 , 5 ] ) iex&gt; [ 1 , 2 , 3 , 4 ] |&gt; OrdSet . new ( ) |&gt; OrdSet . put ( 3 ) OrdSet . new ( [ 1 , 2 , 3 , 4 ] ) iex&gt; [ 1 , 2 , 4 ] |&gt; OrdSet . new ( ) |&gt; OrdSet . put ( 3 ) OrdSet . new ( [ 1 , 2 , 3 , 4 ] )","ref":"OrdSet.html#put/2","title":"OrdSet.put/2","type":"function"},{"doc":"Returns a set by excluding the elements from set for which invoking fun returns a truthy value. iex&gt; OrdSet . reject ( OrdSet . new ( 1 .. 5 ) , fn x -&gt; rem ( x , 2 ) != 0 end ) OrdSet . new ( [ 2 , 4 ] )","ref":"OrdSet.html#reject/2","title":"OrdSet.reject/2","type":"function"},{"doc":"See :ordsets.size/1 .","ref":"OrdSet.html#size/1","title":"OrdSet.size/1","type":"function"},{"doc":"Checks if set_a's members are all contained in set_b. iex&gt; MapSet . subset? ( MapSet . new ( [ 4 ] ) , MapSet . new ( [ 4 , 5 , 6 ] ) ) true iex&gt; OrdSet . subset? ( OrdSet . new ( [ 4 ] ) , OrdSet . new ( [ 4 , 5 , 6 ] ) ) true iex&gt; MapSet . subset? ( MapSet . new ( [ 4 , 5 , 6 ] ) , MapSet . new ( [ 4 ] ) ) false iex&gt; OrdSet . subset? ( OrdSet . new ( [ 4 , 5 , 6 ] ) , OrdSet . new ( [ 4 ] ) ) false","ref":"OrdSet.html#subset?/2","title":"OrdSet.subset?/2","type":"function"},{"doc":"Converts OrdSet to a list. Ps: I don't think this does anything because a OrdSet is already a list","ref":"OrdSet.html#to_list/1","title":"OrdSet.to_list/1","type":"function"},{"doc":"Returns a set containing all members of set_a and set_b. iex&gt; OrdSet . union ( OrdSet . new ( 1 .. 4 ) , OrdSet . new ( 3 .. 6 ) ) [ 1 , 2 , 3 , 4 , 5 , 6 ] iex&gt; OrdSet . new ( 1 .. 2 ) |&gt; OrdSet . union ( OrdSet . new ( 5 .. 6 ) ) |&gt; OrdSet . union ( OrdSet . new ( 1 .. 3 ) ) [ 1 , 2 , 3 , 5 , 6 ]","ref":"OrdSet.html#union/2","title":"OrdSet.union/2","type":"function"},{"doc":"","ref":"OrdSet.html#t:t/0","title":"OrdSet.t/0","type":"type"},{"doc":"","ref":"OrdSet.html#t:t/1","title":"OrdSet.t/1","type":"type"}]